# gdcm::Global Class Reference

Global. More...

`#include <gdcmGlobal.h>`

List of all members.

## Public Member Functions
| Global ()
| ~Global ()
bool | Append (const char *path)
Defs const & | GetDefs () const
Dicts const & | GetDicts () const
bool | LoadResourcesFiles ()
bool | Prepend (const char *path)
## Static Public Member Functions
static Global & | GetInstance ()
| return the singleton instance
## Protected Member Functions
const char * | Locate (const char *resfile) const
| Locate a ressource file.
## Friends
std::ostream & | operator<< (std::ostream &_os, const Global &g)

## Detailed Description

Global.

Note:
  Global should be included in any translation unit that will use Dict or that implements the singleton pattern. It makes sure that the Dict singleton is created before and destroyed after all other singletons in GDCM.

Examples:

  PublicDict.cxx.

## Constructor & Destructor Documentation

gdcm::Global::Global | ( |  | ) |

gdcm::Global::~Global | ( |  | ) |

## Member Function Documentation

bool gdcm::Global::Append | ( | const char * | path | ) |

Append path at the end of the path list

Warning:
  not thread safe !

Defs const& gdcm::Global::GetDefs | ( |  | ) | const

retrieve the default/internal (Part 3) You need to explicitely call LoadResourcesFiles before

Dicts const& gdcm::Global::GetDicts | ( |  | ) | const

retrieve the default/internal dicts (Part 6) This dict is filled up at load time

Examples:
  PublicDict.cxx.

static Global& gdcm::Global::GetInstance | ( |  | ) | `[static]`

return the singleton instance

Examples:
  MrProtocol.cxx, and PublicDict.cxx.

bool gdcm::Global::LoadResourcesFiles | ( |  | ) |

Load all internal XML files, ressource path need to have been set before calling this member function (see Append/Prepend members func)

Warning:
  not thread safe !

const char* gdcm::Global::Locate | ( | const char * | resfile | ) | const`[protected]`

Locate a ressource file.

bool gdcm::Global::Prepend | ( | const char * | path | ) |

Prepend path at the begining of the path list

Warning:
  not thread safe !

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | _os,
|  | const Global & | g |
| ) |  |  | `[friend]`

The documentation for this class was generated from the following file:

- gdcmGlobal.h